/*

This file is part of the Fuzion language implementation.

The Fuzion language implementation is free software: you can redistribute it
and/or modify it under the terms of the GNU General Public License as published
by the Free Software Foundation, version 3 of the License.

The Fuzion language implementation is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
License for more details.

You should have received a copy of the GNU General Public License along with The
Fuzion language implementation.  If not, see <https://www.gnu.org/licenses/>.

*/

/*-----------------------------------------------------------------------
 *
 * Tokiwa Software GmbH, Germany
 *
 * Source of class Version
 *
 *---------------------------------------------------------------------*/

package dev.flang.tools;

import dev.flang.util.ANY;


/**
 * Version.java.in is a template for a class that provides the Fuzion version
 * information in static fields.
 *
 * @author Fridtjof Siebert (siebert@tokiwa.software)
 */
class Version extends ANY
{


  /*----------------------------  constants  ----------------------------*/


  /**
   * The version string, currently in the form
   * &lt;major&gt;.&lt;minor&gt;["dev"].
   */
  public static final String VERSION = "0.086";


  /**
   * The git hash code of the sources.
   */
  public static final String GIT_HASH = "with local changes";


  /**
   * The date and time of the build
   */
  public static final String DATE = "2024-02-17 08:35:08";


  /**
   * The user and machine of the build
   */
  public static final String BUILTBY = "@localhost";

}

/* end of file */
